%ext ck4
%version 1.4

#---- MODIFICATION LOADERS ----

# Load the modified graphics
%egahead EGAHEAD.CK4
#Load modified levels
%maphead maphead.ck4
#Keen swimming Cache start
%patch $30710 $82 $00 
#Load the Modified TileInfo.
%tileinfo Keen4.tli
#Terminator text palette:
%patch $2F078 $17 $00 $00 $10 $01 $01 $01 $01 #Dark colors
              $11 $11 $11 $11 $13 $13 $13 $13 #Light colors
#Terminator text palette 2, screen moves out:
%patch $2F088 $00 $17 $18 $18 $07 $01 $01 $01 #Dark colors
              $01 $11 $11 $11 $13 $13 $13 $13 #Light colors
%patchfile $1fe47 ck4load.bin
#Keenwave patch file; Patch sounds Keen 4: 
%patchfile $20DF0 AUDIOHED.CK4 #Audio header 
%patchfile $354F6 AUDIODCT.CK4 #Audio dictionary 

#---- GAMEPLAY MODIFIERS ----

#No bubbles from Keen:
%patch $F6AB  $0000W
%patch $F6BD  $0000W
%patch $F6CF  $0000W
%patch $F6E1  $0000W
#Map Keen interacts with Oracle, Lindsey
%patch $30424 $0B8014A9RL #Map Keen walking

#---- MUSIC PATCHES ----

#Song values:
#0: Shadowlands                               1: Algeria
#2: Talkin' Bout the Nightmare           3: Slug village
#4: Kick in the pants                          5: The Lady is Fearful
#______________________
#This is the music played in each level:
#             VALUE   LEVEL                 MUSIC PLAYED         LEVEL No
%patch $2F206 $00 $00 #Map                  (Shadowlands)          0
              $02 $00 #Border Village       (Kick in the Pants)    1
              $01 $00 #Slug Village         (Slug Village)         2
              $02 $00 #Perilous Pit         (Slug Village)         3
              $02 $00 #Cave of Descendants  (Too Hot)              4
              $02 $00 #Chasm of Chills      (Too Hot)              5
              $04 $00 #Crystalus            (Kick in the Pants)    6
              $03 $00 #Hiliville            (Slug Village)         7
              $01 $00 #Sand Yego            (Eat your Veggies)     8
              $01 $00 #Miragia              (Eat your Veggies)     9
              $01 $00 #Lifwater Oasis       (Eat your Veggies)    10
              $02 $00 #Pyramid of Moons     (Too Hot)             11
              $02 $00 #Pyramid of Shadows   (Too Hot)             12
              $02 $00 #Pyramid of Ancients  (Too Hot)             13
              $02 $00 #Pyramid of Forbidden (Too Hot)             14
              $02 $00 #Isle of Tar          (Too Hot)             15
              $02 $00 #Isle of Fire         (Too Hot)             16
              $01 $00 #Well of Wishes       (Eat your Veggies)    17
              $03 $00 #Bwb Megarocket       (Slug Village)        18
              $FF $FF #High scores          (No music, "Fanfare") 19

#---- LEVEL NAME PATCHES ----

#-Entrances
%patch $1F1F0 " Keen searches " 
%patch $1F200 "Deep Space " 

%patch $1f210 " Keen Soars Through " 
%patch $1f225 " the Star Cluster " 

%patch $1f240 "Keen meets some" 
%patch $1f250 " Meteoroids " 

%patch $1f260 " Keen meanders in " 
%patch $1f273 " the Maze Planetoid "       #What?  Seriously?! 

%patch $1f290 "Keen plods down into" 
%patch $1f2A5 "the Cave of the" 
%patch $1F2b5 "Descendents" 

%patch $1f2d0 "Keen shivers along" 
%patch $1f2e3 "the Chasm of Chills" 

%patch $1f300 "Keen reflects upon" 
%patch $1f313 "entering Crystalus" 

%patch $1f330 "Keen stubmles upon" 
%patch $1f343 "Hillville" 

%patch $1f350 "Keen grits his teeth" 
%patch $1f365 "and enters Sand Yego" 

%patch $1f380 "Keen disappears into" 
%patch $1f395 "Miragia" 

%patch $1f3a0 "Keen crawls into" 
%patch $1f3b1 "Lifewater Oasis" 

%patch $1f3d0 "Keen backs into the" 
%patch $1f3e4 "Pyramid of the Moons" 

%patch $1f400 "Keen move silently in"  #are you serious again? 
%patch $1f416 "the Pyramid of Shadows" 

%patch $1f430 "Keen reverently enters" 
%patch $1f447 "the Pyramid of the" 
%patch $1f45A "Gnosticene Ancients" 

%patch $1f470 "Keen hesitantly crosses" 
%patch $1f488 "into the Pyramid of the" 
%patch $1f4a0 "Forbidden" 

%patch $1f4b0 "Keen mucks along the" 
%patch $1f4c5 "Isle of Tar" 

%patch $1f4e0 "Keen blazes across the" 
%patch $1f4f7 "Isle of Fire" 

%patch $1f510 "Keen hopefully enters" 
%patch $1f526 "the Well of Wishes" 

%patch $1f540 "Keen launches into the" 
%patch $1f557 "Bean-with-Bacon" 
%patch $1f567 "Megarocket" 

#--Status Window Names
%patch $1F040 "Deep Space " 
%patch $1F050 " Star Cluster " 
%patch $1F060 " Meteoroids " 
%patch $1F070 " Maze Planetoid " 
%patch $1F090 "Cave of the Descendents" 
%patch $1F0B0 "Chasm of Chills" 
%patch $1F0C0 "Crystalus" 
%patch $1F0D0 "Hillville" 
%patch $1F0E0 "Sand Yego" 
%patch $1F0F0 "Miraia" 
%patch $1F100 "Lifewater Oasis" 
%patch $1F110 "Pyramid of the Moons" 
%patch $1F130 "Pyramid of Shadows" 
%patch $1F150 "Pyramid of the" $0A "Gnosticene Ancients" 
%patch $1F180 "Pyramid of the Forbidden" 
%patch $1F1A0 "Isle of Tar" 
%patch $1F1B0 "Isle of Fire" 
%patch $1F1C0 "Well of Wishes" 
%patch $1F1D0 "Bean-with-Bacon" $0A "Megarocket" 

#-Death Text
%patch $2F16F "You didn't get through " 
%patch $2F187 "Try Again" 
%patch $2F191 "Try Exploring Space" 

#---- GAMEPLAY TEXT PATCHES----
%patch $30C17 "Oh, I guess this is " $0A 
   "another piece of" $0A 
   "heat shields " $0A 
   "from the Bean-" $0A 
   "   With-Bacon!   " 
%patch $30A71 "Time to keep looking," $0A 
              " I Guess! " 

#---- HIGH SCORES TABLE ----

#Names:
%patch $33234 "GARGapplesauce   " $00
%patch $33274 "MOM4Evr          " $00
%patch $332B4 "Eros             " $00
%patch $332F4 "Mink             " $00
%patch $33334 "Ceilick          " $00
%patch $33374 "Levellass        " $00
%patch $333B4 "Gridlock         " $00
%patch $333F4 "Scarlet          " $00

#----------------------------------------------------------------------------------------------- 
%end